<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>
        <import type="com.lukouguoji.module_base.ui.weight.data.layout.DataLayoutType"/>

        <variable
            name="model"
            type="com.lukouguoji.gjc.dialog.GjcInspectionRejectDialogModel" />

    </data>

    <LinearLayout
        android:layout_width="600dp"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_dialog_f2_radius_10"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <!-- 标题栏 -->
        <TextView
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@drawable/bg_primary_radius_top_10"
            android:gravity="center"
            android:text="是否确认退回？"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />

        <!-- 表单内容 -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="30dp"
            android:layout_marginTop="30dp"
            android:orientation="vertical">

            <!-- 退回原因（多行输入） -->
            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                enable="@{true}"
                inputHeight="@{120}"
                title='@{"原因"}'
                titleLength="@{5}"
                hint='@{"请输入退回原因"}'
                type="@{DataLayoutType.INPUT}"
                value='@={model.rejectReason}'
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

        </LinearLayout>

        <!-- 底部按钮 -->
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp"
            android:layout_marginBottom="20dp">

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{()->model.dismiss()}"
                android:text="取消" />

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{()->model.onConfirmClick()}"
                android:text="保存" />

        </LinearLayout>

    </LinearLayout>
</layout>
